Package org.eclipse.net4j.util.concurrent

# Enum-Klasse IRWLockManager.LockType

java.lang.Object
java.lang.Enum<IRWLockManager.LockType>
org.eclipse.net4j.util.concurrent.IRWLockManager.LockType

Alle implementierten Schnittstellen:
  `Serializable`, `Comparable<IRWLockManager.LockType>`, `Constable`

Umschließende Schnittstelle:
  `IRWLockManager<OBJECT,CONTEXT>`

public static enum IRWLockManager.LockType extends Enum<IRWLockManager.LockType>

Autor:
  Simon McDuff

## Verschachtelte Klassen - Übersicht

## Von Klasse geerbte verschachtelte Klassen/Schnittstellen java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum-Konstanten - Übersicht

Enum-Konstanten
Enum-Konstante
Beschreibung
`OPTION`
`READ`
`WRITE`

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`static IRWLockManager.LockType`
`valueOf(String name)`
Gibt die Enum-Konstante dieser Klasse mit dem angegebenen Namen zurück.
`static IRWLockManager.LockType[]`
`values()`
Gibt ein Array mit den Konstanten dieser Enum-Klasse in der Reihenfolge ihrer Deklaration zurück.

### Von Klasse geerbte Methoden java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Von Klasse geerbte Methoden java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum-Konstanten - Details

### WRITE

public static final IRWLockManager.LockType WRITE

### READ

public static final IRWLockManager.LockType READ

### OPTION

public static final IRWLockManager.LockType OPTION

Seit:
  3.2

## Methodendetails

### values

public static IRWLockManager.LockType[] values()
Gibt ein Array mit den Konstanten dieser Enum-Klasse in der Reihenfolge ihrer Deklaration zurück.

Gibt zurück:
  ein Array mit den Konstanten dieser Enum-Klasse in der Reihenfolge ihrer Deklaration

### valueOf

public static IRWLockManager.LockType valueOf(String name)
Gibt die Enum-Konstante dieser Klasse mit dem angegebenen Namen zurück. Die Zeichenfolge muss exakt mit einer ID übereinstimmen, mit der eine Enum-Konstante in dieser Klasse deklariert wird. (Zusätzliche Leerzeichen sind nicht zulässig.)

Parameter:
  `name` - Name der zurückzugebenden Enumerationskonstante.
Gibt zurück:
  Enumerationskonstante mit dem angegebenen Namen
Löst aus:
  `IllegalArgumentException` - wenn diese Enum-Klasse keine Konstante mit dem angegebenen Namen enthält
  `NullPointerException` - wenn das Argument nicht angegeben wird